%These Values are from robbies fit for the P uptake rate o 

JKPP_lambdas=[5.138E-8, 2.192E-7, 3.556E-11];
JKPM_lambdas=[6.314E-8, 4.530E-14, 3.556E-11];
CTPP_lambdas=[2.373E-7,3.894E-6,4.532E-10];
CTPM_lambdas=[1.856E-5,4E-15,9.971E-12];
Sch_lambas=[3.26E-6];


%y=[JKPP_lambdas,CTPP_lambdas;JKPM_lambdas,CTPM_lambdas];

y=[mean(JKPP_lambdas),mean(CTPP_lambdas); mean(JKPM_lambdas),mean(CTPM_lambdas)];
sdevs=[std(JKPP_lambdas),std(CTPP_lambdas); std(JKPM_lambdas),std(CTPM_lambdas)];
c={'IP+','IP-'};


% Data to be plotted as a bar graph
model_series = y;

%Data to be plotted as the error bars
model_error = sdevs;

% Creating axes and the bar graph
figure()
ax = axes('visible','on');
h = bar(model_series,'BarWidth',1);

% Set color for each bar face
h(1).FaceColor = [1 1 1];
h(2).FaceColor = [0.5 0.5 0.5]';

% Properties of the bar graph as required
ax.YGrid = 'on';
ax.GridLineStyle = '-';
%xticks(ax,[1 2]);

% Naming each of the bar groups
%xticklabels(ax,{ 'IP+', 'IP-'});
set(gca, 'XTickLabel',c)


% X and Y labels
ylabel('\lambda (cm^{-2}s^{-1})');

% Creating a legend and placing it outside the bar plot
lg=legend([h(1),h(2)],'Jakobsen','SRXCT','Location','north');

hold on;

% Finding the number of groups and the number of bars in each group
ngroups = size(model_series, 1);
nbars = size(model_series, 2);

% Calculating the width for each bar group
groupwidth = min(0.8, nbars/(nbars + 1.5));

% Set the position of each error bar in the centre of the main bar
% Based on barweb.m by Bolu Ajiboye from MATLAB File Exchange
for i = 1:nbars
    % Calculate center of each bar
    x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
    er=errorbar(x, model_series(:,i), model_error(:,i), 'k');%, 'linestyle', 'none');
    er.Color = [0 0 0];                            
    er.LineStyle = 'none';  
end
set(gca, 'YScale', 'log')

hold off



% f=figure('visible','on');
% hBar=bar(y,'FaceColor','flat');
% set(gca, 'YScale', 'log')
% set(gca, 'XTickLabel',c)
% ylabel('\lambda (cm^{-2}s^{-2})')
% 
% 
% for k1=1:size(y,1)
%     ctr(k1,:) = bsxfun(@plus, hBar(1).XData, [hBar(k1).XOffset]');
%     ydt(k1,:) = hBar(k1).YData;
% end
% hold on
% errorbar(ctr,ydt,sdevs,'.k');
% 
% hBar(1).FaceColor=[1 1 1];
% 
% hBar(2).FaceColor=[0.5 0.5 0.5];
% 
% legend([hBar(1),hBar(2)],'Jakobson','XCT','Location','north')


%b.CData(:,:)=[ 0 0 0]